# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/1
@desc: 数据库配置类
"""

class DbConfigEntity():
    def __init__(self, host: str, port: int, user: str, passwd: str, db: str):
        self._host = host
        self._port = port
        self._user = user
        self._passwd = passwd
        self._db = db

    @property
    def host(self):
        return self._host

    @property
    def port(self):
        return self._port

    @property
    def user(self):
        return self._user

    @property
    def passwd(self):
        return self._passwd

    @property
    def db(self):
        return self._db

if __name__ == "__main__":
    pass
