# -*- coding:utf-8 -*-
"""
@author: yq
@time: 2022/10/24
@desc: 指标计算相关
"""
from typing import Dict

from commom import f_get_clazz_in_module
from .metric_base import MetricBase
from .metric_by_sql_general import MetricBySqlGeneral

__all__ = ['f_get_metric_clazz_dict', 'MetricBase', 'MetricBySqlGeneral']


def f_get_metric_clazz_dict():
    all_classes = f_get_clazz_in_module(__import__(__name__))
    metric_clazz_dict = {}
    for cls in all_classes:
        metric_clazz_dict[cls.__name__] = cls
    return metric_clazz_dict


if __name__ == "__main__":
    pass
